using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class WaitDuration : EntityBehaviour
{
	public float timer;

	void FixedUpdate() {
		if (entity.isRolling)
			entity.KeepRolling();
	}

	void Update() {
		timer -= Time.deltaTime;
		if (timer <= 0)
			StopAction();
	}
}
